W_kPetButtonWidth = 18;
W_kPetButtonHeight = 8;
W_kPetHealthBarWidth = 18;
W_kPetHealthBarHeight = 2;
W_kPetCurseWidth = 18;
W_kPetCurseHeight = 2;
W_kPetCurseSidesWidth = 2;
W_kPetCurseSidesHeight = 6

function W_Create_PetButton( buttonNum, unitButtonFrameName )
	local petButtonFrameName = "W_Pet_Button"..buttonNum;

	local f = CreateFrame("Button", petButtonFrameName, WhammyFrame, "WhammyPetButtonTemplate");
	f:SetWidth( W_kPetButtonWidth);
	f:SetHeight( W_kPetButtonHeight);
	f:SetPoint("TOPRIGHT", unitButtonFrameName, "TOPRIGHT", 5, 0); --create the pet button on the unit frame button
	f:SetID( buttonNum+100 );
	
	getglobal( petButtonFrameName.."_HealthBar" ):SetWidth( W_kPetHealthBarWidth );
	getglobal( petButtonFrameName.."_HealthBar" ):SetHeight( W_kPetHealthBarHeight );
	
	getglobal( petButtonFrameName.."_Curse" ):SetWidth( W_kPetCurseWidth );
	getglobal( petButtonFrameName.."_Curse" ):SetHeight( W_kPetCurseHeight );
	
	getglobal( petButtonFrameName.."_CurseLeft" ):SetWidth( W_kPetCurseSidesWidth );
	getglobal( petButtonFrameName.."_CurseLeft" ):SetHeight( W_kPetCurseSidesHeight );
	
	getglobal( petButtonFrameName.."_CurseRight" ):SetWidth( W_kPetCurseSidesWidth );
	getglobal( petButtonFrameName.."_CurseRight" ):SetHeight( W_kPetCurseSidesHeight );
	
	local t = getglobal( petButtonFrameName.."_Texture" );
	t:SetTexture( .2, .2, .2, 1 ); --the pet button alpha channel set to 1 so it is opaque
	f:Hide(); --start off hidden
end

function W_PetButton_OnLoad()
	this:RegisterForClicks("LeftButtonUp", "RightButtonUp", "MiddleButtonUp"); -- the buttons need to see the mouse clicks
end

function W_PetButton_MouseDown()

end

function W_PetButton_MouseUp()

end

function W_Clear_PetButton( petButtonName )
	local pb = getglobal(petButtonName);
	
	pb:SetAttribute("type", "stop");
	pb:SetAttribute("unit", nil);

	W_Set_Unit_Button_Curse_Texture( petButtonName, false);
	W_Set_Unit_Health_Bar_Value( petButtonName, W_kPetHealthBarWidth);
end